package com.crm.activity.dao.mapper;

import com.crm.rely.backend.model.entity.activity.ActivityRaceSignListEntity;
import com.crm.rely.backend.model.pojo.table.ActivityRaceSignTable;
import com.crm.rely.backend.model.pojo.view.ActivityRaceSignView;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * @author y
 * @create 2022/7/19
 */
@Component
public interface ActivityRaceSignMapper {

    ActivityRaceSignView findFirstByCustomIdAndRaceType(@Param("customId") Long customId, @Param("raceType") Integer raceType);

    Integer countList(ActivityRaceSignListEntity entity);

    List<ActivityRaceSignView> getList(ActivityRaceSignListEntity entity);

    ActivityRaceSignView findViewById(Long id);

    List<ActivityRaceSignTable> findValidSignByCustomIdAndDate(@Param("customId") Long customId, @Param("date") Date date);
}
